----------------------------------------------------------------------
-- Patch the palette to become Amiga OCS / ECS compatible
-- Written by Daytona675x / www.goldencode.de
----------------------------------------------------------------------

local spr = app.activeSprite
if spr then
	app.transaction(
	  function()
	    local pal = spr.palettes[1]
	    for i = 0,#pal-1 do
	    	local col = pal:getColor(i)
	    	col.red = (col.red & 0xF0) | (col.red>>4);
	    	col.green = (col.green & 0xF0) | (col.green>>4);
	    	col.blue = (col.blue & 0xF0) | (col.blue>>4);
	      pal:setColor(i, col)
	    end
	  end)
	app.refresh()
end
